package com.mousetech.gourmetj.persistence.model;

import java.io.Serializable;
import jakarta.persistence.*;


/**
 * The persistent class for the "plugin_info" database table.
 * 
 */
@Entity
@Table(name="\"plugin_info\"")
@NamedQuery(name="PluginInfo.findAll", query="SELECT p FROM PluginInfo p")
public class PluginInfo implements Serializable {
	private static final long serialVersionUID = 1L;

	@Column(name="\"id\"")
	private int id;

	@Id
	@Column(name="\"plugin\"")
	private String plugin;

	@Column(name="\"plugin_version\"")
	private String pluginVersion;

	@Column(name="\"version_major\"")
	private int versionMajor;

	@Column(name="\"version_minor\"")
	private int versionMinor;

	@Column(name="\"version_super\"")
	private int versionSuper;

	public PluginInfo() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getPlugin() {
		return this.plugin;
	}

	public void setPlugin(String plugin) {
		this.plugin = plugin;
	}

	public String getPluginVersion() {
		return this.pluginVersion;
	}

	public void setPluginVersion(String pluginVersion) {
		this.pluginVersion = pluginVersion;
	}

	public int getVersionMajor() {
		return this.versionMajor;
	}

	public void setVersionMajor(int versionMajor) {
		this.versionMajor = versionMajor;
	}

	public int getVersionMinor() {
		return this.versionMinor;
	}

	public void setVersionMinor(int versionMinor) {
		this.versionMinor = versionMinor;
	}

	public int getVersionSuper() {
		return this.versionSuper;
	}

	public void setVersionSuper(int versionSuper) {
		this.versionSuper = versionSuper;
	}

}